=== debian/changelog ===
simgear (1:2016.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch use_debian_udns.patch, it got included upstream and
    allows one to set SYSTEM_UDNS, instead.
  * Refresh patches disable_dns_test.patch, no_3rdparty.patch, and
    use_debian_utfcpp.patch.
  * Add patch disable_force_shared.patch to be able to build a static
    library even with SYSTEM_UDNS set.
  * Add patch spelling_fixes.patch.
  * Build with all hardening options enabled. Closes: #837452.
  * Update d/copyright.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 20 Sep 2016 22:26:44 +0200
