## simgear 2016.4.2+dfsg

=== debian/changelog ===
simgear (1:2016.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release: 2016.4.2.
  * Refreshed patches no_3rdparty.patch and disable_force_shared.patch.
  * Dropped patch use_debian_utfcpp.patch - simgear now relies on
    OSG to provide UTF8 capabilities.
  * Minor update to d/copyright.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 28 Nov 2016 20:38:43 +0100
