=== debian/changelog ===
simgear (1:2016.4.3+dfsg-2) unstable; urgency=high

  * Add patch prevent_writing_arbitrary_files_a2b111bb.patch to fix
    a security issue in the HTTPRepository code.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 18 Dec 2016 08:41:07 +0100

simgear (1:2016.4.3+dfsg-1) unstable; urgency=high

  * New upstream release: 2016.4.3. Should fix issues restoring variants
    in the launcher.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 14 Dec 2016 19:25:25 +0100
