## simgear 2016.4.4+dfsg

=== debian/changelog ===
simgear (1:2016.4.4+dfsg-2) unstable; urgency=medium

  * Add patch correct_http_test.patch to fix an FTBFS due to test
    failures caused by incorrect use of std::remove_if.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 24 Jan 2017 19:59:52 +0100

simgear (1:2016.4.4+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Drop patch prevent_writing_arbitrary_files_a2b111bb.patch, it got
    included upstream.
  * Add backported patch relax_version_check.patch to allow individual
    patch upgrades without having to release all of the related
    flightgear packages.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 15 Jan 2017 20:14:40 +0100
