=== debian/control ===
Source: simgear
Section: libs
Priority: extra
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>,
 Markus Wanner <markus@bluegap.ch>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxi-dev,
 libice-dev, libsm-dev, libxt-dev, libxmu-dev, zlib1g-dev, libboost-dev,
 libopenal-dev, libalut-dev, libexpat1-dev, cmake (>= 2.6),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 freeglut3-dev | libglut3-dev,
 libjpeg-dev,
 libutfcpp-dev,
 libudns-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libopenscenegraph-dev (>= 3.2.0~)
Standards-Version: 3.9.8
Homepage: http://www.simgear.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/simgear.git
Vcs-Git: https://anonscm.debian.org/collab-maint/simgear.git

Package: libsimgear-dev
Architecture: any
Section: libdevel
Depends: libopenscenegraph-dev, libc6-dev, ${misc:Depends}
Replaces: simgear-dev (<< 2.10.0~)
Breaks: simgear-dev (<< 2.10.0~)
Description: Simulator Construction Gear -- development files
 SimGear is a collection of libraries useful for constructing
 simulation and visualization applications such as FlightGear
 or TerraGear.
 .
 This package contains the headers and static libraries.
